Bug Hunting Session
Bug 112062 - Palettes: Spelling gray and grey in different palettes
Summary: Palettes: Spelling gray and grey in different palettes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Color-Palettes
  Show dependency treegraph
 
Reported: 2017-08-27 19:07 UTC by Gabor Kelemen
Modified: 2017-08-29 18:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-08-27 19:07:38 UTC
I noticed that in some palettes the color name gray is spelled with the British spelling of grey. As the default language is en-US, I suggest unifying all of them to gray.
Affected occurrences are:

gabor@dome:~/src/core$ git grep -i grey extras/source/palettes/*soc 
extras/source/palettes/breeze.soc:<draw:color draw:name="Cardboard Grey" draw:color="#eff0f1"/>
extras/source/palettes/breeze.soc:<draw:color draw:name="Icon Grey" draw:color="#4d4d4d"/>
extras/source/palettes/breeze.soc:<draw:color draw:name="Charcoal Grey" draw:color="#31363b"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="0% Grey" draw:color="#000000"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="10% Grey" draw:color="#191919"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="20% Grey" draw:color="#333333"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="30% Grey" draw:color="#4C4C4C"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="40% Grey" draw:color="#666666"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="50% Grey" draw:color="#7F7F7F"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="58% Grey" draw:color="#939393"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="65% Grey" draw:color="#A5A5A5"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="73% Grey" draw:color="#BABABA"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="82% Grey" draw:color="#D0D0D0"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="91% Grey" draw:color="#E8E8E8"/>
extras/source/palettes/tonal.soc:<draw:color draw:name="100% Grey" draw:color="#FFFFFF"/>
Comment 1 V Stuart Foote 2017-08-27 20:30:26 UTC
@Gabor,

+1

You're doing the lifting on bug 105000 to support localization so I'm fine with the change from Grey -> Gray. I probably should have used Grays for the tonal.soc when I committed it. But, that was naming Wade P. (US) and Owen G. (AU) had worked out when they designed the palette.

=-ref-=
bug 80196
Comment 2 Gabor Kelemen 2017-08-28 06:25:21 UTC
Also, I'm a bit worried about the breeze palette, that comes from KDE: 

https://community.kde.org/KDE_Visual_Design_Group/HIG/Color

and they are also using the British spelling. 
So, not sure whether to 'stick to the mistake' or 'diverge from upstream'.
Comment 3 Heiko Tietze 2017-08-28 09:47:21 UTC
(In reply to Gabor Kelemen from comment #2)
> Also, I'm a bit worried about the breeze palette, that comes from KDE: 
> 
> https://community.kde.org/KDE_Visual_Design_Group/HIG/Color
> 
> and they are also using the British spelling. 
> So, not sure whether to 'stick to the mistake' or 'diverge from upstream'.

Diverge, I'll report the issue to the KDE VDG. Many of the color names in our breeze.soc weren't named back then and I introduced them newly (e.g. the violet "Purple Haze").
Comment 4 Commit Notification 2017-08-29 17:14:29 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e44ec17e7bd0e5f8528d5c40ea10619798bba464

tdf#112062 Spelling: Grey -> Gray in color palettes

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.